<!DOCTYPE html>

<html>
  <head>
  <meta charset='utf-8'>
  <title>TestNG reports</title>

    <link type="text/css" href="testng-reports1.css" rel="stylesheet" id="ultra" />
    <link type="text/css" href="testng-reports.css" rel="stylesheet" id="retro" disabled="false"/>
    <script type="text/javascript" src="jquery.min.js"></script>
    <script type="text/javascript" src="testng-reports.js"></script>
    <script type="text/javascript" src="https://www.google.com/jsapi"></script>
    <script type='text/javascript'>
      google.load('visualization', '1', {packages:['table']});
      google.setOnLoadCallback(drawTable);
      var suiteTableInitFunctions = new Array();
      var suiteTableData = new Array();
    </script>
    <!--
      <script type="text/javascript" src="jquery-ui/js/jquery-ui-1.8.16.custom.min.js"></script>
     -->
  </head>

  <body>
    <div class="top-banner-root">
      <span class="top-banner-title-font">Test results</span>
      <button id="button" class="button">Switch Retro Theme</button> <!-- button -->
      <br/>
      <span class="top-banner-font-1">1 suite</span>
    </div> <!-- top-banner-root -->
    <div class="navigator-root">
      <div class="navigator-suite-header">
        <span>All suites</span>
        <a href="#" title="Collapse/expand all the suites" class="collapse-all-link">
          <img src="collapseall.gif" class="collapse-all-icon">
          </img> <!-- collapse-all-icon -->
        </a> <!-- collapse-all-link -->
      </div> <!-- navigator-suite-header -->
      <div class="suite">
        <div class="rounded-window">
          <div class="suite-header light-rounded-window-top">
            <a href="#" panel-name="suite-Amazon_UI_Test" class="navigator-link">
              <span class="suite-name border-passed">Amazon UI Test</span>
            </a> <!-- navigator-link -->
          </div> <!-- suite-header light-rounded-window-top -->
          <div class="navigator-suite-content">
            <div class="suite-section-title">
              <span>Info</span>
            </div> <!-- suite-section-title -->
            <div class="suite-section-content">
              <ul>
                <li>
                  <a href="#" panel-name="test-xml-Amazon_UI_Test" class="navigator-link ">
                    <span>C:\Users\Abhi\Downloads\Amazonframework\amazonuiframework\src\test\java\com\runner\testng.xml</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" panel-name="testlist-Amazon_UI_Test" class="navigator-link ">
                    <span class="test-stats">1 test</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" panel-name="group-Amazon_UI_Test" class="navigator-link ">
                    <span>2 groups</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" panel-name="times-Amazon_UI_Test" class="navigator-link ">
                    <span>Times</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" panel-name="reporter-Amazon_UI_Test" class="navigator-link ">
                    <span>Reporter output</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" panel-name="ignored-methods-Amazon_UI_Test" class="navigator-link ">
                    <span>Ignored methods</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" panel-name="chronological-Amazon_UI_Test" class="navigator-link ">
                    <span>Chronological view</span>
                  </a> <!-- navigator-link  -->
                </li>
              </ul>
            </div> <!-- suite-section-content -->
            <div class="result-section">
              <div class="suite-section-title">
                <span>Results</span>
              </div> <!-- suite-section-title -->
              <div class="suite-section-content">
                <ul>
                  <li>
                    <span class="method-stats">5 methods,   5 passed</span>
                  </li>
                  <li>
                    <span class="method-list-title passed">Passed methods</span>
                    <span class="show-or-hide-methods passed">
                      <a href="#" panel-name="suite-Amazon_UI_Test" class="hide-methods passed suite-Amazon_UI_Test"> (hide)</a> <!-- hide-methods passed suite-Amazon_UI_Test -->
                      <a href="#" panel-name="suite-Amazon_UI_Test" class="show-methods passed suite-Amazon_UI_Test"> (show)</a> <!-- show-methods passed suite-Amazon_UI_Test -->
                    </span>
                    <div class="method-list-content passed suite-Amazon_UI_Test">
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-Amazon_UI_Test" title="com.ui.tests.AmazonProductPriceTest" class="method navigator-link" hash-for-method="verifyHomePageSearch(iphone)">verifyHomePageSearch(iphone)</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-Amazon_UI_Test" title="com.ui.tests.AmazonProductPriceTest" class="method navigator-link" hash-for-method="verifyPriceOfProductsInTheCart">verifyPriceOfProductsInTheCart</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-Amazon_UI_Test" title="com.ui.tests.AmazonProductPriceTest" class="method navigator-link" hash-for-method="verifyProductMainPage">verifyProductMainPage</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-Amazon_UI_Test" title="com.ui.tests.AmazonProductPriceTest" class="method navigator-link" hash-for-method="verifyResultsPage">verifyResultsPage</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-Amazon_UI_Test" title="com.ui.tests.AmazonProductPriceTest" class="method navigator-link" hash-for-method="verifyTheCart">verifyTheCart</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                    </div> <!-- method-list-content passed suite-Amazon_UI_Test -->
                  </li>
                </ul>
              </div> <!-- suite-section-content -->
            </div> <!-- result-section -->
          </div> <!-- navigator-suite-content -->
        </div> <!-- rounded-window -->
      </div> <!-- suite -->
    </div> <!-- navigator-root -->
    <div class="wrapper">
      <div class="main-panel-root">
        <div panel-name="suite-Amazon_UI_Test" class="panel Amazon_UI_Test">
          <div class="suite-Amazon_UI_Test-class-passed">
            <div class="main-panel-header rounded-window-top">
              <img src="passed.png"/>
              <span class="class-name">com.ui.tests.AmazonProductPriceTest</span>
            </div> <!-- main-panel-header rounded-window-top -->
            <div class="main-panel-content rounded-window-bottom">
              <div class="method">
                <div class="method-content">
                  <a name="verifyHomePageSearch(iphone)">
                  </a> <!-- verifyHomePageSearch(iphone) -->
                  <span class="method-name">verifyHomePageSearch</span>
                  <span class="parameters">(iphone)</span>
                  <em>
(Test to verify the search functionality in the home page)                  </em>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="verifyPriceOfProductsInTheCart">
                  </a> <!-- verifyPriceOfProductsInTheCart -->
                  <span class="method-name">verifyPriceOfProductsInTheCart</span>
                  <em>
(To verify if the total price of the products in the cart is displayed)                  </em>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="verifyProductMainPage">
                  </a> <!-- verifyProductMainPage -->
                  <span class="method-name">verifyProductMainPage</span>
                  <em>
(To verify if buttons are displayed as expected in the Product Page)                  </em>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="verifyResultsPage">
                  </a> <!-- verifyResultsPage -->
                  <span class="method-name">verifyResultsPage</span>
                  <em>
(To verify if search results are displayed as expected)                  </em>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="verifyTheCart">
                  </a> <!-- verifyTheCart -->
                  <span class="method-name">verifyTheCart</span>
                  <em>
(To verify if the product is added to the cart)                  </em>
                </div> <!-- method-content -->
              </div> <!-- method -->
            </div> <!-- main-panel-content rounded-window-bottom -->
          </div> <!-- suite-Amazon_UI_Test-class-passed -->
        </div> <!-- panel Amazon_UI_Test -->
        <div panel-name="test-xml-Amazon_UI_Test" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">C:\Users\Abhi\Downloads\Amazonframework\amazonuiframework\src\test\java\com\runner\testng.xml</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <pre>
&lt;?xml version=&quot;1.0&quot; encoding=&quot;UTF-8&quot;?&gt;
&lt;!DOCTYPE suite SYSTEM &quot;https://testng.org/testng-1.0.dtd&quot;&gt;
&lt;suite name=&quot;Amazon UI Test&quot; guice-stage=&quot;DEVELOPMENT&quot;&gt;
  &lt;test thread-count=&quot;5&quot; name=&quot;Regression Test&quot;&gt;
    &lt;groups&gt;
      &lt;run&gt;
        &lt;include name=&quot;Regression&quot;/&gt;
      &lt;/run&gt;
    &lt;/groups&gt;
    &lt;packages&gt;
      &lt;package name=&quot;com.ui.tests&quot;/&gt;
    &lt;/packages&gt;
    &lt;classes&gt;
      &lt;class name=&quot;com.ui.tests.AmazonProductPriceTest&quot;/&gt;
    &lt;/classes&gt;
  &lt;/test&gt; &lt;!-- Regression Test --&gt;
&lt;/suite&gt; &lt;!-- Amazon UI Test --&gt;
            </pre>
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="testlist-Amazon_UI_Test" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Tests for Amazon UI Test</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <ul>
              <li>
                <span class="test-name">Regression Test (1 class)</span>
              </li>
            </ul>
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="group-Amazon_UI_Test" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Groups for Amazon UI Test</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <div class="test-group">
              <span class="test-group-name">Regression</span>
              <br/>
              <div class="method-in-group">
                <span class="method-in-group-name">verifyHomePageSearch</span>
                <br/>
              </div> <!-- method-in-group -->
              <div class="method-in-group">
                <span class="method-in-group-name">verifyPriceOfProductsInTheCart</span>
                <br/>
              </div> <!-- method-in-group -->
              <div class="method-in-group">
                <span class="method-in-group-name">verifyProductMainPage</span>
                <br/>
              </div> <!-- method-in-group -->
              <div class="method-in-group">
                <span class="method-in-group-name">verifyResultsPage</span>
                <br/>
              </div> <!-- method-in-group -->
              <div class="method-in-group">
                <span class="method-in-group-name">verifyTheCart</span>
                <br/>
              </div> <!-- method-in-group -->
            </div> <!-- test-group -->
            <div class="test-group">
              <span class="test-group-name">smoke</span>
              <br/>
              <div class="method-in-group">
                <span class="method-in-group-name">verifyHomePageSearch</span>
                <br/>
              </div> <!-- method-in-group -->
              <div class="method-in-group">
                <span class="method-in-group-name">verifyPriceOfProductsInTheCart</span>
                <br/>
              </div> <!-- method-in-group -->
              <div class="method-in-group">
                <span class="method-in-group-name">verifyProductMainPage</span>
                <br/>
              </div> <!-- method-in-group -->
              <div class="method-in-group">
                <span class="method-in-group-name">verifyResultsPage</span>
                <br/>
              </div> <!-- method-in-group -->
              <div class="method-in-group">
                <span class="method-in-group-name">verifyTheCart</span>
                <br/>
              </div> <!-- method-in-group -->
            </div> <!-- test-group -->
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="times-Amazon_UI_Test" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Times for Amazon UI Test</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <div class="times-div">
              <script type="text/javascript">
suiteTableInitFunctions.push('tableData_Amazon_UI_Test');
function tableData_Amazon_UI_Test() {
var data = new google.visualization.DataTable();
data.addColumn('number', 'Number');
data.addColumn('string', 'Method');
data.addColumn('string', 'Class');
data.addColumn('number', 'Time (ms)');
data.addRows(5);
data.setCell(0, 0, 0)
data.setCell(0, 1, 'verifyProductMainPage')
data.setCell(0, 2, 'com.ui.tests.AmazonProductPriceTest')
data.setCell(0, 3, 17078);
data.setCell(1, 0, 1)
data.setCell(1, 1, 'verifyTheCart')
data.setCell(1, 2, 'com.ui.tests.AmazonProductPriceTest')
data.setCell(1, 3, 3814);
data.setCell(2, 0, 2)
data.setCell(2, 1, 'verifyHomePageSearch')
data.setCell(2, 2, 'com.ui.tests.AmazonProductPriceTest')
data.setCell(2, 3, 2555);
data.setCell(3, 0, 3)
data.setCell(3, 1, 'verifyResultsPage')
data.setCell(3, 2, 'com.ui.tests.AmazonProductPriceTest')
data.setCell(3, 3, 1752);
data.setCell(4, 0, 4)
data.setCell(4, 1, 'verifyPriceOfProductsInTheCart')
data.setCell(4, 2, 'com.ui.tests.AmazonProductPriceTest')
data.setCell(4, 3, 130);
window.suiteTableData['Amazon_UI_Test']= { tableData: data, tableDiv: 'times-div-Amazon_UI_Test'}
return data;
}
              </script>
              <span class="suite-total-time">Total running time: 25 seconds</span>
              <div id="times-div-Amazon_UI_Test">
              </div> <!-- times-div-Amazon_UI_Test -->
            </div> <!-- times-div -->
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="reporter-Amazon_UI_Test" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Reporter output for Amazon UI Test</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="ignored-methods-Amazon_UI_Test" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">0 ignored methods</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="chronological-Amazon_UI_Test" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Methods in chronological order</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <div class="chronological-class">
              <div class="chronological-class-name">com.ui.tests.AmazonProductPriceTest</div> <!-- chronological-class-name -->
              <div class="configuration-test before">
                <span class="method-name">setup</span>
                <span class="method-start">0 ms</span>
              </div> <!-- configuration-test before -->
              <div class="test-method">
                <span class="method-name">verifyHomePageSearch(iphone)</span>
                <span class="method-start">4211 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">verifyResultsPage</span>
                <span class="method-start">7048 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">verifyProductMainPage</span>
                <span class="method-start">14085 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">verifyTheCart</span>
                <span class="method-start">31686 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">verifyPriceOfProductsInTheCart</span>
                <span class="method-start">35850 ms</span>
              </div> <!-- test-method -->
              <div class="configuration-test after">
                <span class="method-name">closeTheBrowser</span>
                <span class="method-start">36199 ms</span>
              </div> <!-- configuration-test after -->
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
      </div> <!-- main-panel-root -->
    </div> <!-- wrapper -->
  </body>
<script type="text/javascript" src="testng-reports2.js"></script>
</html>
